Issues after 2019-12-29 update

Hello,

So I refer to the original stable update announcement in which I reported having an issue and the steps I followed, I also received and followed advice (thank you), but it appears -to quote @philm- I may have runined my system.

Anyway, I've been asked to create a new topic to summarize my issue and ask for help, this is that.

My -Fxzc0 output.

Pre-update:
System was working perfectly fine. It has been for over a year since I installed Manjaro.

How I usually update

  1. Backup with Timeshift
  2. close all applications
  3. log in to TTY with ctrl+alt+F4
  4. run sudo pacman-mirrors -f 5
  5. run sudo pacman -Syyu
  6. run yay -Syu --aur
  7. disconnect from vpn
  8. reboot

This has always worked just fine.

The issues
With the latest update, I got the following error:

error: failed to commit transaction (conflicting files)
npm: /usr/lib/node_modules/npm/docs/LICENSE exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/cli-commands/npm-access.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/cli-commands/npm-adduser.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/cli-commands/npm-audit.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/cli-commands/npm-bin.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/cli-commands/npm-bugs.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/cli-commands/npm-build.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/cli-commands/npm-bundle.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/cli-commands/npm-cache.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/cli-commands/npm-ci.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/cli-commands/npm-completion.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/cli-commands/npm-config.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/cli-commands/npm-dedupe.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/cli-commands/npm-deprecate.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/cli-commands/npm-dist-tag.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/cli-commands/npm-docs.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/cli-commands/npm-doctor.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/cli-commands/npm-edit.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/cli-commands/npm-explore.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/cli-commands/npm-fund.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/cli-commands/npm-help-search.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/cli-commands/npm-help.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/cli-commands/npm-hook.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/cli-commands/npm-init.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/cli-commands/npm-install-ci-test.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/cli-commands/npm-install-test.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/cli-commands/npm-install.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/cli-commands/npm-link.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/cli-commands/npm-logout.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/cli-commands/npm-ls.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/cli-commands/npm-org.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/cli-commands/npm-outdated.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/cli-commands/npm-owner.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/cli-commands/npm-pack.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/cli-commands/npm-ping.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/cli-commands/npm-prefix.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/cli-commands/npm-profile.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/cli-commands/npm-prune.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/cli-commands/npm-publish.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/cli-commands/npm-rebuild.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/cli-commands/npm-repo.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/cli-commands/npm-restart.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/cli-commands/npm-root.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/cli-commands/npm-run-script.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/cli-commands/npm-search.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/cli-commands/npm-shrinkwrap.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/cli-commands/npm-star.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/cli-commands/npm-stars.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/cli-commands/npm-start.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/cli-commands/npm-stop.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/cli-commands/npm-team.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/cli-commands/npm-test.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/cli-commands/npm-token.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/cli-commands/npm-uninstall.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/cli-commands/npm-unpublish.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/cli-commands/npm-update.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/cli-commands/npm-version.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/cli-commands/npm-view.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/cli-commands/npm-whoami.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/cli-commands/npm.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/configuring-npm/folders.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/configuring-npm/install.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/configuring-npm/npmrc.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/configuring-npm/package-json.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/configuring-npm/package-lock-json.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/configuring-npm/package-locks.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/configuring-npm/shrinkwrap-json.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/using-npm/config.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/using-npm/developers.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/using-npm/disputes.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/using-npm/orgs.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/using-npm/registry.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/using-npm/removal.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/using-npm/scope.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/using-npm/scripts.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/content/using-npm/semver.md exists in filesystem
npm: /usr/lib/node_modules/npm/docs/gatsby-browser.js exists in filesystem
npm: /usr/lib/node_modules/npm/docs/gatsby-config.js exists in filesystem
npm: /usr/lib/node_modules/npm/docs/gatsby-node.js exists in filesystem
npm: /usr/lib/node_modules/npm/docs/package-lock.json exists in filesystem
npm: /usr/lib/node_modules/npm/docs/package.json exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/cli-commands/npm-access/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/cli-commands/npm-adduser/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/cli-commands/npm-audit/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/cli-commands/npm-bin/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/cli-commands/npm-bugs/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/cli-commands/npm-build/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/cli-commands/npm-bundle/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/cli-commands/npm-cache/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/cli-commands/npm-ci/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/cli-commands/npm-completion/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/cli-commands/npm-config/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/cli-commands/npm-dedupe/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/cli-commands/npm-deprecate/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/cli-commands/npm-dist-tag/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/cli-commands/npm-docs/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/cli-commands/npm-doctor/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/cli-commands/npm-edit/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/cli-commands/npm-explore/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/cli-commands/npm-fund/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/cli-commands/npm-help-search/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/cli-commands/npm-help/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/cli-commands/npm-hook/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/cli-commands/npm-init/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/cli-commands/npm-install-ci-test/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/cli-commands/npm-install-test/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/cli-commands/npm-install/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/cli-commands/npm-link/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/cli-commands/npm-logout/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/cli-commands/npm-ls/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/cli-commands/npm-org/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/cli-commands/npm-outdated/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/cli-commands/npm-owner/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/cli-commands/npm-pack/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/cli-commands/npm-ping/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/cli-commands/npm-prefix/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/cli-commands/npm-profile/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/cli-commands/npm-prune/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/cli-commands/npm-publish/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/cli-commands/npm-rebuild/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/cli-commands/npm-repo/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/cli-commands/npm-restart/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/cli-commands/npm-root/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/cli-commands/npm-run-script/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/cli-commands/npm-search/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/cli-commands/npm-shrinkwrap/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/cli-commands/npm-star/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/cli-commands/npm-stars/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/cli-commands/npm-start/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/cli-commands/npm-stop/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/cli-commands/npm-team/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/cli-commands/npm-test/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/cli-commands/npm-token/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/cli-commands/npm-uninstall/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/cli-commands/npm-unpublish/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/cli-commands/npm-update/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/cli-commands/npm-version/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/cli-commands/npm-view/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/cli-commands/npm-whoami/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/cli-commands/npm/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/configuring-npm/folders/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/configuring-npm/install/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/configuring-npm/npmrc/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/configuring-npm/package-json/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/configuring-npm/package-lock-json/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/configuring-npm/package-locks/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/configuring-npm/shrinkwrap-json/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/google-fonts/s/inconsolata/v18/QldKNThLqRwH-OJ1UHjlKGlZ5q4.woff exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/google-fonts/s/inconsolata/v18/QldKNThLqRwH-OJ1UHjlKGlZ5qg.woff2 exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/google-fonts/s/inconsolata/v18/QldXNThLqRwH-OJ1UHjlKGHiw71p5_o.woff exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/google-fonts/s/inconsolata/v18/QldXNThLqRwH-OJ1UHjlKGHiw71p5_w.woff2 exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/google-fonts/s/poppins/v9/pxiByp8kv8JHgFVrLDz8Z1xlEw.woff exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/google-fonts/s/poppins/v9/pxiByp8kv8JHgFVrLDz8Z1xlFQ.woff2 exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/google-fonts/s/poppins/v9/pxiByp8kv8JHgFVrLGT9Z1xlEw.woff exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/google-fonts/s/poppins/v9/pxiByp8kv8JHgFVrLGT9Z1xlFQ.woff2 exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/google-fonts/s/poppins/v9/pxiEyp8kv8JHgFVrJJfecg.woff2 exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/google-fonts/s/poppins/v9/pxiEyp8kv8JHgFVrJJfedA.woff exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/icons/icon-144x144.png exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/icons/icon-192x192.png exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/icons/icon-256x256.png exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/icons/icon-384x384.png exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/icons/icon-48x48.png exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/icons/icon-512x512.png exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/icons/icon-72x72.png exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/icons/icon-96x96.png exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/static/d/2215187023.json exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/static/d/2417117884.json exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/static/network-icon-f659855f70bb0e12addd96250807c241.svg exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/using-npm/config/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/using-npm/developers/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/using-npm/disputes/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/using-npm/orgs/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/using-npm/registry/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/using-npm/removal/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/using-npm/scope/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/using-npm/scripts/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/public/using-npm/semver/index.html exists in filesystem
npm: /usr/lib/node_modules/npm/docs/src/components/Accordion.js exists in filesystem
npm: /usr/lib/node_modules/npm/docs/src/components/Button.js exists in filesystem
npm: /usr/lib/node_modules/npm/docs/src/components/DocLinks.js exists in filesystem
npm: /usr/lib/node_modules/npm/docs/src/components/FoundTypo.js exists in filesystem
npm: /usr/lib/node_modules/npm/docs/src/components/MobileSidebar.js exists in filesystem
npm: /usr/lib/node_modules/npm/docs/src/components/Sidebar.js exists in filesystem
npm: /usr/lib/node_modules/npm/docs/src/components/home/DarkBlock.js exists in filesystem
npm: /usr/lib/node_modules/npm/docs/src/components/home/FeatureCard.js exists in filesystem
npm: /usr/lib/node_modules/npm/docs/src/components/home/Features.js exists in filesystem
npm: /usr/lib/node_modules/npm/docs/src/components/home/Footer.js exists in filesystem
npm: /usr/lib/node_modules/npm/docs/src/components/home/Terminal.js exists in filesystem
npm: /usr/lib/node_modules/npm/docs/src/components/home/Windows.js exists in filesystem
npm: /usr/lib/node_modules/npm/docs/src/components/home/cubes.js exists in filesystem
npm: /usr/lib/node_modules/npm/docs/src/components/home/hero.js exists in filesystem
npm: /usr/lib/node_modules/npm/docs/src/components/layout.js exists in filesystem
npm: /usr/lib/node_modules/npm/docs/src/components/links.js exists in filesystem
npm: /usr/lib/node_modules/npm/docs/src/components/navbar.js exists in filesystem
npm: /usr/lib/node_modules/npm/docs/src/components/scripts.js exists in filesystem
npm: /usr/lib/node_modules/npm/docs/src/components/seo.js exists in filesystem
npm: /usr/lib/node_modules/npm/docs/src/images/background-boxes.svg exists in filesystem
npm: /usr/lib/node_modules/npm/docs/src/images/background-cubes.svg exists in filesystem
npm: /usr/lib/node_modules/npm/docs/src/images/background-rectangles.svg exists in filesystem
npm: /usr/lib/node_modules/npm/docs/src/images/bracket.svg exists in filesystem
npm: /usr/lib/node_modules/npm/docs/src/images/cli-logo.svg exists in filesystem
npm: /usr/lib/node_modules/npm/docs/src/images/down-carrot.svg exists in filesystem
npm: /usr/lib/node_modules/npm/docs/src/images/hamburger-close.svg exists in filesystem
npm: /usr/lib/node_modules/npm/docs/src/images/hamburger.svg exists in filesystem
npm: /usr/lib/node_modules/npm/docs/src/images/manager-icon.svg exists in filesystem
npm: /usr/lib/node_modules/npm/docs/src/images/network-icon.svg exists in filesystem
npm: /usr/lib/node_modules/npm/docs/src/images/npm-icon.png exists in filesystem
npm: /usr/lib/node_modules/npm/docs/src/images/orange-cube.svg exists in filesystem
npm: /usr/lib/node_modules/npm/docs/src/images/pink-gradient-cube.svg exists in filesystem
npm: /usr/lib/node_modules/npm/docs/src/images/purple-cube.svg exists in filesystem
npm: /usr/lib/node_modules/npm/docs/src/images/purple-gradient-cube.svg exists in filesystem
npm: /usr/lib/node_modules/npm/docs/src/images/red-cube.svg exists in filesystem
npm: /usr/lib/node_modules/npm/docs/src/images/right-shadow-box.svg exists in filesystem
npm: /usr/lib/node_modules/npm/docs/src/images/terminal-icon.svg exists in filesystem
npm: /usr/lib/node_modules/npm/docs/src/images/test-icon.svg exists in filesystem
npm: /usr/lib/node_modules/npm/docs/src/images/up-carrot.svg exists in filesystem
npm: /usr/lib/node_modules/npm/docs/src/images/x.svg exists in filesystem
npm: /usr/lib/node_modules/npm/docs/src/main.css exists in filesystem
npm: /usr/lib/node_modules/npm/docs/src/pages/404.js exists in filesystem
npm: /usr/lib/node_modules/npm/docs/src/pages/index.js exists in filesystem
npm: /usr/lib/node_modules/npm/docs/src/templates/Page.js exists in filesystem
npm: /usr/lib/node_modules/npm/docs/src/theme.js exists in filesystem
npm: /usr/lib/node_modules/npm/lib/fund.js exists in filesystem
npm: /usr/lib/node_modules/npm/lib/install/fund.js exists in filesystem
npm: /usr/lib/node_modules/npm/lib/utils/funding.js exists in filesystem
npm: /usr/lib/node_modules/npm/man/man1/npm-fund.1 exists in filesystem
npm: /usr/lib/node_modules/npm/man/man5/folders.5 exists in filesystem
npm: /usr/lib/node_modules/npm/man/man5/install.5 exists in filesystem
npm: /usr/lib/node_modules/npm/man/man5/package-json.5 exists in filesystem
npm: /usr/lib/node_modules/npm/man/man5/package-lock-json.5 exists in filesystem
npm: /usr/lib/node_modules/npm/man/man5/package-locks.5 exists in filesystem
npm: /usr/lib/node_modules/npm/man/man5/shrinkwrap-json.5 exists in filesystem
npm: /usr/lib/node_modules/npm/man/man7/config.7 exists in filesystem
npm: /usr/lib/node_modules/npm/man/man7/developers.7 exists in filesystem
npm: /usr/lib/node_modules/npm/man/man7/disputes.7 exists in filesystem
npm: /usr/lib/node_modules/npm/man/man7/orgs.7 exists in filesystem
npm: /usr/lib/node_modules/npm/man/man7/registry.7 exists in filesystem
npm: /usr/lib/node_modules/npm/man/man7/removal.7 exists in filesystem
npm: /usr/lib/node_modules/npm/man/man7/scope.7 exists in filesystem
npm: /usr/lib/node_modules/npm/man/man7/scripts.7 exists in filesystem
npm: /usr/lib/node_modules/npm/scripts/docs-build.js exists in filesystem
npm: /usr/share/man/man1/npm-fund.1 exists in filesystem
npm: /usr/share/man/man5/folders.5 exists in filesystem
npm: /usr/share/man/man5/install.5 exists in filesystem
npm: /usr/share/man/man5/package-json.5 exists in filesystem
npm: /usr/share/man/man5/package-lock-json.5 exists in filesystem
npm: /usr/share/man/man5/package-locks.5 exists in filesystem
npm: /usr/share/man/man5/shrinkwrap-json.5 exists in filesystem
npm: /usr/share/man/man7/config.7 exists in filesystem
npm: /usr/share/man/man7/developers.7 exists in filesystem
npm: /usr/share/man/man7/disputes.7 exists in filesystem
npm: /usr/share/man/man7/orgs.7 exists in filesystem
npm: /usr/share/man/man7/registry.7 exists in filesystem
npm: /usr/share/man/man7/removal.7 exists in filesystem
npm: /usr/share/man/man7/scope.7 exists in filesystem
npm: /usr/share/man/man7/scripts.7 exists in filesystem
Errors occurred, no packages were upgraded.

At this point I followed the advice kindly given by @Marte where I was directed to this topic and he suggested I should run:

sudo pacman -Syu --overwrite '*'

I did this, the update ran, but then as of the reboot my fan is running at full speed.
I had 257 packages there (as you can see from the error message above), none were 'owned'.

So I followed this archlinux thread as I couldn't find a solution:

but when I run sudo pwmconfig I get this output:

[sudo] password for geodev: 
# pwmconfig version 3.6.0
This program will search your sensors for pulse width modulation (pwm)
controls, and test each one to see if it controls a fan on
your motherboard. Note that many motherboards do not have pwm
circuitry installed, even if your sensor chip supports pwm.

We will attempt to briefly stop each fan using the pwm controls.
The program will attempt to restore each fan to full speed
after testing. However, it is ** very important ** that you
physically verify that the fans have been to full speed
after the program has completed.

Found the following devices:
   hwmon0 is acpitz
   hwmon1 is system76
   hwmon2 is pch_skylake
   hwmon3 is coretemp
   hwmon4 is iwlwifi

Found the following PWM controls:
   hwmon1/pwm1           current value: 255
hwmon1/pwm1 is currently setup for automatic speed control.
In general, automatic mode is preferred over manual mode, as
it is more efficient and it reacts faster. Are you sure that
you want to setup this output for manual control? (n) y
   hwmon1/pwm2           current value: 0
hwmon1/pwm2 is currently setup for automatic speed control.
In general, automatic mode is preferred over manual mode, as
it is more efficient and it reacts faster. Are you sure that
you want to setup this output for manual control? (n) y

Giving the fans some time to reach full speed...
Found the following fan sensors:
   hwmon1/fan1_input     current speed: 0 ... skipping!
   hwmon1/fan2_input     current speed: 0 ... skipping!

There are no working fan sensors, all readings are 0.
Make sure you have a 3-wire fan connected.
You may also need to increase the fan divisors.
See doc/fan-divisors for more information.

Notice: "There are no working fan sensors, all readings are 0."

Current situation

I ran:

  1. Backup with Timeshift
  2. close all applications
  3. log in to TTY with ctrl+alt+F4
  4. sudo pacman-mirrors -f 5
  5. sudo pacman -Syu --overwrite '*'
  6. yay -Syu --aur
  7. disconnect from vpn
  8. reboot

And now my fan control seems not to work anymore, my fan is running at high speed whereas it used to be managed fine.

So, before I break my system anymore, I hope I've given enough information.

Again, I thank the Manjaro devs and the community, this is the first serious issue with any update I've had in over a year.

Best wishes to all for a Happy New Year and all the best in 2020!

The overwrite argument is never to be taken lightly - using the joker can have unintended side effects.

It is far better to uninstall the offending packages - update the system - then reinstall the removed packages.

Is your device a system76 device or did you install a package to see if it was usable?

Also system info would be nice if any possible steps to resolve can be deducted.

inxi -Fxxxzc0 --no-host

From you yay usage - I deduct you are using AUR packages - if you would like us to help - you need to remove all AUR packages from your system as we have no way of knowing if it is an AUR package causing this.

pamac list -m

thanks for reading and replying @linux-aarhus, so to answer your points:

  1. sudo pacman -Syu --overwrite '*' I did this following the advice given by @Marte, as indicated in my post.
  2. system76, yes it's a Galago pro as you can see from My -Fxzc0 output:
Machine:   Type: Laptop System: System76 product: Galago Pro v: galp3-b serial: <filter> 
           Mobo: System76 model: Galago Pro v: galp3-b serial: <filter> 
           UEFI: American Megatrends v: 1.05.02S76 date: 03/26/2018 
  1. Yes I am using some AUR packages, and they have never caused any issue before this update, they are:

pamac list -m

system76-dkms       1.0.6-1      AUR  38.3 kB
system76-power      1.0.1-2      AUR  1.3 MB
evdi                1.6.4-2      AUR  148.7 kB
slack-desktop       4.2.0-2      AUR  172.5 MB
enpass-bin          6.2.0.537-1  AUR  67.0 MB
xf86-input-keyboard 1.9.0-3           41.0 kB
xf86-input-mouse    1.9.3-1           120.8 kB
displaylink         5.2.14-1     AUR  11.3 MB
ttf-ms-fonts        2.0-10       AUR  5.7 MB
expressvpn          2.3.4_1-1    AUR  66.2 MB

And yes I would like some help, as currently my only option is to leave Manjaro. I realize that impacts nobody here, so please don't feel like I am requesting help forcefully.
I only stated my issues with the last update and would be grateful for some help.

If nobody can help me despite Manjaro working fine on my hardware for over a year and me providing all the info above, well clearly this distro is no longer for me.

Finally, before I uninstall any AUR packages, please explain why?

I already did

From you list it seems to suffice to uninstall the system76 packages temporarily. Then restart your system.


But you can try another thing.

Download the most recent ISO of xfce - write it to USB and boot your system on it.

You can use this guide - so you don't have to 'waste' a USB on the subject.

Then check if the issue persists.

OK, so essentially clean install ?
This begs the question, if the updates break a system and the AUR packages might be the culprits, why stay with manjaro at all ?

I might as well go full arch if I want the aur or some Debian based distro if I have to rebuild my system instead of rolling updates.

So ok, I'll try that out of respect for you and your time, but this is a strong argument not to use manjaro anymore.

AUR packages is not supported on Arch systems as well.

If you open an issue in their forum - and you are using AUR packages - you will be asked to reproduce the issue on a clean Arch install.

That is the same for Manjaro.

Oh - and by the way - I didn't ask you to reinstall - just boot the live ISO to verify if the issue exist.

If a system produces issues after an update and the system uses AUR packages like system76 you are also asked to reproduce the issue using a clean Manjaro install. In most cases booting a live ISO will suffice.

If that fact makes you install something else - be my guest.

well I meant no offense. As I said I will try your suggestion.

1 Like

I'm realley no expert, but why no try with restore the timeshift backup and then start again update (maybe a few days later) ?
I always thought things like this are the reason for backups/timeshift .....
Just a little hint ...

With every major stable update we release also a new ISO. Download 18.1.5 and try to boot it. If it goes to a graphical screen and loads the desktop it would mean a clean session with official packages still works.

Then we can see on how to rescue the current install. Having a Timeshift backup is always good.

This is just an observation really...why are you doubling up on both pacman and then immediately subsequently yay? Why not take care of everything in 1 shot:

$ yay

-- that's all you need, no args and all packages (including in the aur) updated. No fuss. What's more, check this commit out. Apparently, doing yay -Syua is a potential "recipy" for partial upgrades.

@linux-aarhus, re: # pacman-mirrors -f5 -- maybe you can answer this, how often is this realistically needed anyway on when manually refreshing the mirror list? Isn't this automatically done on a regular interval?

Also re: updating per TTY, I'm trying to recall why this was once recommended...a sour systemd update that broke the x session on some installs about a year ago? Maybe @Frog knows more about this. Other than this one incident, I've always used straight pacman in x without exception.

It was once recommended when there was a real risk that the graphical session crashes completely, thus interrupting the system upgrade abruptly.

Last time it was officially recommended by the Manjaro Team was with the December 2th 2018, and indeed because of a systemd upgrade, but since a ton of users did not follow the recommendation (most of them because they simply didn't know that they had to do this), systemd got held back for around two months (and the transition between systemd 239.6 and >239.6 was still problematic two months after, but we could finally get through it, not without pain though unfortunately).

Outside of that particular incident, I do not remember another time where it was deemed necessary by Manjaro team to take such special measure, although it did mark many users and got the habit of doing it within TTY no matter what.

1 Like

So first of all thank you to everyone replying here, trying to help and/or giving constructive criticism and feedback.

Before trying to boot from a fresh ISO, I've gone back to some of the inital advice from @Marte as well as @linux-aarhus 's comment about using sudo pacman -Syu --overwrite '*':

in this light I've done the following:

  1. restored again with Timeshift to my pre-update state.
  2. run sudo pacman -Syyu only to get the list of conflicting files.
  3. used that list of files in a python script to a) check ownership (none were owned) and b) delete files not owned (i.e. all of them).
  4. used pamac list -m to check which AUR packages I was using, and delete the system76 packages I had.
  5. run sudo pacman -Syyu again. And this time, it ran: this is the output:
$ sudo pacman -Syyu
[sudo] password for geodev: 
:: Synchronizing package databases...
 core                                                                                  151.4 KiB  1376 KiB/s 00:00 [--------------------------------------------------------------------] 100%
 extra                                                                                1780.8 KiB  4.63 MiB/s 00:00 [--------------------------------------------------------------------] 100%
 community                                                                               5.2 MiB  7.02 MiB/s 00:01 [--------------------------------------------------------------------] 100%
 multilib                                                                              176.2 KiB  4.30 MiB/s 00:00 [--------------------------------------------------------------------] 100%
:: Starting full system upgrade...
warning: fontconfig: local (2:2.13.1+12+g5f5ec56-2) is newer than extra (2:2.13.1+12+g5f5ec56-1)
:: Replace libdmx with extra/xorgproto-transfer? [Y/n] Y
resolving dependencies...
looking for conflicting packages...
:: python-pyqt5 and pyqt5-common are in conflict. Remove pyqt5-common? [y/N] y
warning: dependency cycle detected:
warning: mesa will be installed before its libglvnd dependency
warning: dependency cycle detected:
warning: lib32-libglvnd will be installed before its lib32-mesa dependency

Packages (190) android-tools-29.0.5-2  apr-1.7.0-2  apr-util-1.6.1-6  audacious-3.10.1-2  bison-3.5-1  bluez-5.52-2  bluez-libs-5.52-2  chromium-79.0.3945.88-1  ckbcomp-1.194-1
               code-1.41.1-1  cups-2.3.1-1  cups-filters-1.26.0-1  device-mapper-2.02.186-4  dhcpcd-8.1.4-1  electron6-6.1.7-1  exo-0.12.11-1  expat-2.2.9-3  flatpak-1.6.0-1
               fribidi-1.0.8-1  fuse-common-3.9.0-1  fuse3-3.9.0-1  git-2.24.1-3  glib-networking-2.62.2-1  glib2-2.62.4-1  gnupg-2.2.19-1  groff-1.22.4-3  gssproxy-0.8.2-3
               hexchat-2.14.3-1  hwinfo-21.61-1  iana-etc-20191212-1  imagemagick-7.0.9.10-1  imlib2-1.6.1-1  intel-tbb-2020.0-1  intel-ucode-20191115-3  kauth-5.65.0-2
               kcoreaddons-5.65.0-2  kitemmodels-5.65.0-2  kvantum-qt5-0.13.0-1  kwindowsystem-5.65.0-2  lib32-fribidi-1.0.8-1  lib32-glib-networking-2.62.2-1  lib32-glib2-2.62.4-1
               lib32-gtk3-3.24.13-1  lib32-libcups-2.3.1-1  lib32-libglvnd-1.3.0-1  lib32-libsoup-2.68.3-1  lib32-libtasn1-4.15.0-1  lib32-libva-mesa-driver-19.3.1-1  lib32-libxi-1.7.10-2
               lib32-mesa-19.3.1-1  lib32-mesa-vdpau-19.3.1-1  lib32-sqlite-3.30.1-1  lib32-vulkan-intel-19.3.1-1  lib32-vulkan-radeon-19.3.1-1  libcap-2.28-1  libcups-2.3.1-1
               libde265-1.0.4-1  libdmx-1.1.4-1 [removal]  libebml-1.3.10-1  libedit-20191211_3.1-1  libevdev-1.8.0-2  libevent-2.1.11-4  libgadu-1.12.2-10  libglvnd-1.3.0-1
               libheif-1.6.1-1  libical-3.0.7-1  libice-1.0.10-2  libinput-gestures-2.48-1  libmbim-1.20.4-1  libmm-glib-1.12.2-1  libnm-1.20.9dev+19+gcbb1ad1ba-1  libqmi-1.24.2-1
               libsecret-0.19.1-3  libssh-0.9.3-1  libtirpc-1.2.5-1  libva-intel-driver-2.4.0-1  libva-mesa-driver-19.3.1-1  libvpx-1.8.2-1  libwacom-1.2-1  libx11-1.6.9-6  libxau-1.0.9-2
               libxcomposite-0.4.5-2  libxdamage-1.1.5-2  libxdmcp-1.1.3-2  libxext-1.3.4-2  libxfixes-5.0.3-3  libxfont2-2.0.4-2  libxi-1.7.10-2  libxinerama-1.1.4-2  libxpm-3.5.13-1
               libxpresent-1.0.0+2+gdd6771c-2  libxrandr-1.5.2-2  libxrender-0.9.10-3  libxss-1.2.3-2  libxtst-1.2.3-3  libxv-1.0.11-3  libxxf86dga-1.1.5-1.1  libxxf86misc-1.0.4-1.1
               libxxf86vm-1.1.4-3  light-locker-1.8.0-3  lightdm-gtk-greeter-1:2.0.7-1  linux-firmware-20191220.6871bff-1  linux419-4.19.91-1  linux419-headers-4.19.91-1  lvm2-2.02.186-4
               manjaro-hello-0.6.3-3  manjaro-release-18.1.5-1  md4c-0.4.2-1  mesa-19.3.1-1  mesa-vdpau-19.3.1-1  metis-5.1.0.p7-1  mhwd-nvidia-340xx-340.108-1  mhwd-nvidia-440xx-440.44-1
               mkinitcpio-busybox-1.31.1-1  mkinitcpio-openswap-0.1.0-3  modemmanager-1.12.2-1  nano-4.7-1  networkmanager-1.20.9dev+19+gcbb1ad1ba-1  nodejs-13.5.0-1  noto-fonts-20190926-3
               npm-6.13.4-1  nss-mdns-0.14.1-2  opencore-amr-0.1.5-3  pacman-mirrors-4.16.2-3  pamac-cli-9.2.2-1  pamac-common-9.2.2-1  pamac-gtk-9.2.2-1  pcre2-10.34-3
               perl-encode-locale-1.05-5  perl-file-listing-6.04-6  perl-html-parser-3.72-8  perl-html-tagset-3.20-8  perl-http-cookies-6.08-1  perl-http-daemon-6.01-7
               perl-http-date-6.05-1  perl-http-message-6.18-3  perl-http-negotiate-6.01-6  perl-io-html-1.001-5  perl-libwww-6.43-1  perl-lwp-mediatypes-6.02-6  perl-net-http-6.19-2
               perl-try-tiny-0.30-3  perl-www-robotrules-6.02-6  perl-xml-parser-2.45-1  protobuf-3.11.1-2  protobuf-c-1.3.2-2  pyqt5-common-5.13.2-3 [removal]  python-3.8.1-1
               python-colorama-0.4.3-1  python-more-itertools-8.0.2-1  python-pycurl-7.43.0.3-4  python-pyparsing-2.4.6-1  python-pyqt5-5.14.0-3  python-setuptools-1:42.0.2-1
               python2-colorama-0.4.3-1  python2-pathlib2-2.3.5-1  python2-pyparsing-2.4.6-1  python2-setuptools-1:42.0.2-1  qt5-base-5.14.0-1  qt5-imageformats-5.14.0-1
               qt5-styleplugins-5.0.0.20170311-18  qt5-svg-5.14.0-1  qt5-x11extras-5.14.0-1  qt5ct-0.41-2  s-nail-14.9.15-3  shadow-4.8-1  spectre-meltdown-checker-0.43-1  talloc-2.3.1-1
               telegram-desktop-1.8.15-4  tumbler-0.2.8-1  udiskie-1.7.7-3  unrar-1:5.8.5-1  usbmuxd-1.1.0+66+g9af2b12-1  v4l-utils-1.18.0-1  vlc-3.0.8-7  vulkan-icd-loader-1.1.130-1
               vulkan-intel-19.3.1-1  vulkan-radeon-19.3.1-1  wpa_supplicant-2:2.9-3  xdg-desktop-portal-1.6.0-1  xdg-desktop-portal-gtk-1.6.0-1  xf86-video-intel-1:2.99.917+899+gf66d3954-1
               xfce4-terminal-0.8.9.1-0  xfsprogs-5.3.0-1  xorg-server-1.20.6-2  xorg-server-common-1.20.6-2  xorg-xdpyinfo-1.3.2-3  xorgproto-2019.2-2  xorgproto-transfer-2019.12-1
               xvidcore-1.3.6-1

Total Installed Size:  2120.68 MiB
Net Upgrade Size:        35.01 MiB

:: Proceed with installation? [Y/n] Y
(188/188) checking keys in keyring                                                                                 [--------------------------------------------------------------------] 100%
(188/188) checking package integrity                                                                               [--------------------------------------------------------------------] 100%
(188/188) loading package files                                                                                    [--------------------------------------------------------------------] 100%
(188/188) checking for file conflicts                                                                              [--------------------------------------------------------------------] 100%
(190/190) checking available disk space                                                                            [--------------------------------------------------------------------] 100%
warning: could not get file information for usr/lib/node_modules/npm/doc/cli/
warning: could not get file information for usr/lib/node_modules/npm/doc/cli/npm-access.md
warning: could not get file information for usr/lib/node_modules/npm/doc/cli/npm-adduser.md
warning: could not get file information for usr/lib/node_modules/npm/doc/cli/npm-audit.md
warning: could not get file information for usr/lib/node_modules/npm/doc/cli/npm-bin.md
warning: could not get file information for usr/lib/node_modules/npm/doc/cli/npm-bugs.md
warning: could not get file information for usr/lib/node_modules/npm/doc/cli/npm-build.md
warning: could not get file information for usr/lib/node_modules/npm/doc/cli/npm-bundle.md
warning: could not get file information for usr/lib/node_modules/npm/doc/cli/npm-cache.md
warning: could not get file information for usr/lib/node_modules/npm/doc/cli/npm-ci.md
warning: could not get file information for usr/lib/node_modules/npm/doc/cli/npm-completion.md
warning: could not get file information for usr/lib/node_modules/npm/doc/cli/npm-config.md
warning: could not get file information for usr/lib/node_modules/npm/doc/cli/npm-dedupe.md
warning: could not get file information for usr/lib/node_modules/npm/doc/cli/npm-deprecate.md
warning: could not get file information for usr/lib/node_modules/npm/doc/cli/npm-dist-tag.md
warning: could not get file information for usr/lib/node_modules/npm/doc/cli/npm-docs.md
warning: could not get file information for usr/lib/node_modules/npm/doc/cli/npm-doctor.md
warning: could not get file information for usr/lib/node_modules/npm/doc/cli/npm-edit.md
warning: could not get file information for usr/lib/node_modules/npm/doc/cli/npm-explore.md
warning: could not get file information for usr/lib/node_modules/npm/doc/cli/npm-help-search.md
warning: could not get file information for usr/lib/node_modules/npm/doc/cli/npm-help.md
warning: could not get file information for usr/lib/node_modules/npm/doc/cli/npm-hook.md
warning: could not get file information for usr/lib/node_modules/npm/doc/cli/npm-init.md
warning: could not get file information for usr/lib/node_modules/npm/doc/cli/npm-install-ci-test.md
warning: could not get file information for usr/lib/node_modules/npm/doc/cli/npm-install-test.md
warning: could not get file information for usr/lib/node_modules/npm/doc/cli/npm-install.md
warning: could not get file information for usr/lib/node_modules/npm/doc/cli/npm-link.md
warning: could not get file information for usr/lib/node_modules/npm/doc/cli/npm-logout.md
warning: could not get file information for usr/lib/node_modules/npm/doc/cli/npm-ls.md
warning: could not get file information for usr/lib/node_modules/npm/doc/cli/npm-org.md
warning: could not get file information for usr/lib/node_modules/npm/doc/cli/npm-outdated.md
warning: could not get file information for usr/lib/node_modules/npm/doc/cli/npm-owner.md
warning: could not get file information for usr/lib/node_modules/npm/doc/cli/npm-pack.md
warning: could not get file information for usr/lib/node_modules/npm/doc/cli/npm-ping.md
warning: could not get file information for usr/lib/node_modules/npm/doc/cli/npm-prefix.md
warning: could not get file information for usr/lib/node_modules/npm/doc/cli/npm-profile.md
warning: could not get file information for usr/lib/node_modules/npm/doc/cli/npm-prune.md
warning: could not get file information for usr/lib/node_modules/npm/doc/cli/npm-publish.md
warning: could not get file information for usr/lib/node_modules/npm/doc/cli/npm-rebuild.md
warning: could not get file information for usr/lib/node_modules/npm/doc/cli/npm-repo.md
warning: could not get file information for usr/lib/node_modules/npm/doc/cli/npm-restart.md
warning: could not get file information for usr/lib/node_modules/npm/doc/cli/npm-root.md
warning: could not get file information for usr/lib/node_modules/npm/doc/cli/npm-run-script.md
warning: could not get file information for usr/lib/node_modules/npm/doc/cli/npm-search.md
warning: could not get file information for usr/lib/node_modules/npm/doc/cli/npm-shrinkwrap.md
warning: could not get file information for usr/lib/node_modules/npm/doc/cli/npm-star.md
warning: could not get file information for usr/lib/node_modules/npm/doc/cli/npm-stars.md
warning: could not get file information for usr/lib/node_modules/npm/doc/cli/npm-start.md
warning: could not get file information for usr/lib/node_modules/npm/doc/cli/npm-stop.md
warning: could not get file information for usr/lib/node_modules/npm/doc/cli/npm-team.md
warning: could not get file information for usr/lib/node_modules/npm/doc/cli/npm-test.md
warning: could not get file information for usr/lib/node_modules/npm/doc/cli/npm-token.md
warning: could not get file information for usr/lib/node_modules/npm/doc/cli/npm-uninstall.md
warning: could not get file information for usr/lib/node_modules/npm/doc/cli/npm-unpublish.md
warning: could not get file information for usr/lib/node_modules/npm/doc/cli/npm-update.md
warning: could not get file information for usr/lib/node_modules/npm/doc/cli/npm-version.md
warning: could not get file information for usr/lib/node_modules/npm/doc/cli/npm-view.md
warning: could not get file information for usr/lib/node_modules/npm/doc/cli/npm-whoami.md
warning: could not get file information for usr/lib/node_modules/npm/doc/cli/npm.md
warning: could not get file information for usr/lib/node_modules/npm/doc/files/
warning: could not get file information for usr/lib/node_modules/npm/doc/files/npm-folders.md
warning: could not get file information for usr/lib/node_modules/npm/doc/files/npm-package-locks.md
warning: could not get file information for usr/lib/node_modules/npm/doc/files/npm-shrinkwrap.json.md
warning: could not get file information for usr/lib/node_modules/npm/doc/files/npmrc.md
warning: could not get file information for usr/lib/node_modules/npm/doc/files/package-lock.json.md
warning: could not get file information for usr/lib/node_modules/npm/doc/files/package.json.md
warning: could not get file information for usr/lib/node_modules/npm/doc/misc/npm-coding-style.md
warning: could not get file information for usr/lib/node_modules/npm/doc/misc/npm-config.md
warning: could not get file information for usr/lib/node_modules/npm/doc/misc/npm-developers.md
warning: could not get file information for usr/lib/node_modules/npm/doc/misc/npm-disputes.md
warning: could not get file information for usr/lib/node_modules/npm/doc/misc/npm-orgs.md
warning: could not get file information for usr/lib/node_modules/npm/doc/misc/npm-registry.md
warning: could not get file information for usr/lib/node_modules/npm/doc/misc/npm-scope.md
warning: could not get file information for usr/lib/node_modules/npm/doc/misc/npm-scripts.md
warning: could not get file information for usr/lib/node_modules/npm/doc/misc/removing-npm.md
warning: could not get file information for usr/lib/node_modules/npm/doc/misc/semver.md
warning: could not get file information for usr/lib/node_modules/npm/doc/spec/
warning: could not get file information for usr/lib/node_modules/npm/doc/spec/file-specifiers.md
warning: could not get file information for usr/lib/node_modules/npm/doc/spec/package-lock.md
warning: could not get file information for usr/lib/node_modules/npm/html/
warning: could not get file information for usr/lib/node_modules/npm/html/doc/
warning: could not get file information for usr/lib/node_modules/npm/html/doc/README.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/cli/
warning: could not get file information for usr/lib/node_modules/npm/html/doc/cli/npm-access.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/cli/npm-adduser.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/cli/npm-audit.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/cli/npm-bin.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/cli/npm-bugs.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/cli/npm-build.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/cli/npm-bundle.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/cli/npm-cache.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/cli/npm-ci.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/cli/npm-completion.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/cli/npm-config.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/cli/npm-dedupe.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/cli/npm-deprecate.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/cli/npm-dist-tag.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/cli/npm-docs.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/cli/npm-doctor.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/cli/npm-edit.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/cli/npm-explore.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/cli/npm-help-search.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/cli/npm-help.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/cli/npm-hook.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/cli/npm-init.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/cli/npm-install-ci-test.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/cli/npm-install-test.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/cli/npm-install.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/cli/npm-link.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/cli/npm-logout.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/cli/npm-ls.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/cli/npm-org.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/cli/npm-outdated.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/cli/npm-owner.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/cli/npm-pack.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/cli/npm-ping.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/cli/npm-prefix.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/cli/npm-profile.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/cli/npm-prune.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/cli/npm-publish.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/cli/npm-rebuild.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/cli/npm-repo.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/cli/npm-restart.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/cli/npm-root.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/cli/npm-run-script.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/cli/npm-search.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/cli/npm-shrinkwrap.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/cli/npm-star.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/cli/npm-stars.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/cli/npm-start.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/cli/npm-stop.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/cli/npm-team.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/cli/npm-test.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/cli/npm-token.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/cli/npm-uninstall.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/cli/npm-unpublish.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/cli/npm-update.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/cli/npm-version.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/cli/npm-view.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/cli/npm-whoami.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/cli/npm.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/files/
warning: could not get file information for usr/lib/node_modules/npm/html/doc/files/npm-folders.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/files/npm-global.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/files/npm-json.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/files/npm-package-locks.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/files/npm-shrinkwrap.json.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/files/npmrc.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/files/package-lock.json.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/files/package.json.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/index.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/misc/
warning: could not get file information for usr/lib/node_modules/npm/html/doc/misc/npm-coding-style.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/misc/npm-config.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/misc/npm-developers.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/misc/npm-disputes.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/misc/npm-index.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/misc/npm-orgs.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/misc/npm-registry.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/misc/npm-scope.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/misc/npm-scripts.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/misc/removing-npm.html
warning: could not get file information for usr/lib/node_modules/npm/html/doc/misc/semver.html
warning: could not get file information for usr/lib/node_modules/npm/html/docfoot.html
warning: could not get file information for usr/lib/node_modules/npm/html/dochead.html
warning: could not get file information for usr/lib/node_modules/npm/html/favicon.ico
warning: could not get file information for usr/lib/node_modules/npm/html/index.html
warning: could not get file information for usr/lib/node_modules/npm/html/static/
warning: could not get file information for usr/lib/node_modules/npm/html/static/style.css
warning: could not get file information for usr/lib/node_modules/npm/html/static/toc.js
warning: could not get file information for usr/lib/node_modules/npm/man/man5/npm-folders.5
warning: could not get file information for usr/lib/node_modules/npm/man/man5/npm-global.5
warning: could not get file information for usr/lib/node_modules/npm/man/man5/npm-json.5
warning: could not get file information for usr/lib/node_modules/npm/man/man5/npm-package-locks.5
warning: could not get file information for usr/lib/node_modules/npm/man/man5/npm-shrinkwrap.json.5
warning: could not get file information for usr/lib/node_modules/npm/man/man5/package-lock.json.5
warning: could not get file information for usr/lib/node_modules/npm/man/man5/package.json.5
warning: could not get file information for usr/lib/node_modules/npm/man/man7/npm-coding-style.7
warning: could not get file information for usr/lib/node_modules/npm/man/man7/npm-config.7
warning: could not get file information for usr/lib/node_modules/npm/man/man7/npm-developers.7
warning: could not get file information for usr/lib/node_modules/npm/man/man7/npm-disputes.7
warning: could not get file information for usr/lib/node_modules/npm/man/man7/npm-index.7
warning: could not get file information for usr/lib/node_modules/npm/man/man7/npm-orgs.7
warning: could not get file information for usr/lib/node_modules/npm/man/man7/npm-registry.7
warning: could not get file information for usr/lib/node_modules/npm/man/man7/npm-scope.7
warning: could not get file information for usr/lib/node_modules/npm/man/man7/npm-scripts.7
warning: could not get file information for usr/lib/node_modules/npm/man/man7/removing-npm.7
warning: could not get file information for usr/lib/node_modules/npm/scripts/doc-build.sh
warning: could not get file information for usr/lib/node_modules/npm/scripts/index-build.js
:: Running pre-transaction hooks...
(1/2) Removing linux initcpios...
(2/2) Remove DKMS modules
:: Processing package changes...
(1/2) removing pyqt5-common                                                                                        [--------------------------------------------------------------------] 100%
(2/2) removing libdmx                                                                                              [--------------------------------------------------------------------] 100%
(  1/188) upgrading iana-etc                                                                                       [--------------------------------------------------------------------] 100%
(  2/188) upgrading pcre2                                                                                          [--------------------------------------------------------------------] 100%
(  3/188) upgrading protobuf                                                                                       [--------------------------------------------------------------------] 100%
(  4/188) upgrading libcap                                                                                         [--------------------------------------------------------------------] 100%
(  5/188) upgrading android-tools                                                                                  [--------------------------------------------------------------------] 100%
(  6/188) upgrading libtirpc                                                                                       [--------------------------------------------------------------------] 100%
(  7/188) upgrading shadow                                                                                         [--------------------------------------------------------------------] 100%
(  8/188) upgrading apr                                                                                            [--------------------------------------------------------------------] 100%
(  9/188) upgrading expat                                                                                          [--------------------------------------------------------------------] 100%
( 10/188) upgrading apr-util                                                                                       [--------------------------------------------------------------------] 100%
( 11/188) upgrading glib2                                                                                          [--------------------------------------------------------------------] 100%
( 12/188) upgrading xorgproto                                                                                      [--------------------------------------------------------------------] 100%
( 13/188) upgrading libxau                                                                                         [--------------------------------------------------------------------] 100%
( 14/188) upgrading libxdmcp                                                                                       [--------------------------------------------------------------------] 100%
( 15/188) upgrading libx11                                                                                         [--------------------------------------------------------------------] 100%
( 16/188) upgrading fribidi                                                                                        [--------------------------------------------------------------------] 100%
( 17/188) upgrading libxext                                                                                        [--------------------------------------------------------------------] 100%
( 18/188) upgrading libxrender                                                                                     [--------------------------------------------------------------------] 100%
( 19/188) upgrading device-mapper                                                                                  [--------------------------------------------------------------------] 100%
( 20/188) upgrading libcups                                                                                        [--------------------------------------------------------------------] 100%
( 21/188) upgrading libxfixes                                                                                      [--------------------------------------------------------------------] 100%
( 22/188) upgrading libxdamage                                                                                     [--------------------------------------------------------------------] 100%
( 23/188) upgrading libxi                                                                                          [--------------------------------------------------------------------] 100%
( 24/188) upgrading libxcomposite                                                                                  [--------------------------------------------------------------------] 100%
( 25/188) upgrading libxinerama                                                                                    [--------------------------------------------------------------------] 100%
( 26/188) upgrading libxrandr                                                                                      [--------------------------------------------------------------------] 100%
( 27/188) upgrading libice                                                                                         [--------------------------------------------------------------------] 100%
( 28/188) upgrading audacious                                                                                      [--------------------------------------------------------------------] 100%
( 29/188) upgrading bison                                                                                          [--------------------------------------------------------------------] 100%
( 30/188) upgrading libical                                                                                        [--------------------------------------------------------------------] 100%
( 31/188) upgrading bluez                                                                                          [--------------------------------------------------------------------] 100%
( 32/188) upgrading bluez-libs                                                                                     [--------------------------------------------------------------------] 100%
( 33/188) upgrading libxss                                                                                         [--------------------------------------------------------------------] 100%
( 34/188) upgrading noto-fonts                                                                                     [--------------------------------------------------------------------] 100%
( 35/188) upgrading libssh                                                                                         [--------------------------------------------------------------------] 100%
( 36/188) upgrading libvpx                                                                                         [--------------------------------------------------------------------] 100%
( 37/188) upgrading libxv                                                                                          [--------------------------------------------------------------------] 100%
( 38/188) upgrading opencore-amr                                                                                   [--------------------------------------------------------------------] 100%
( 39/188) upgrading v4l-utils                                                                                      [--------------------------------------------------------------------] 100%
( 40/188) upgrading xvidcore                                                                                       [--------------------------------------------------------------------] 100%
( 41/188) upgrading libxtst                                                                                        [--------------------------------------------------------------------] 100%
( 42/188) upgrading libxxf86vm                                                                                     [--------------------------------------------------------------------] 100%
( 43/188) upgrading libedit                                                                                        [--------------------------------------------------------------------] 100%
( 44/188) upgrading mesa                                                                                           [--------------------------------------------------------------------] 100%
( 45/188) upgrading libglvnd                                                                                       [--------------------------------------------------------------------] 100%
( 46/188) upgrading vulkan-icd-loader                                                                              [--------------------------------------------------------------------] 100%
( 47/188) upgrading glib-networking                                                                                [--------------------------------------------------------------------] 100%
( 48/188) upgrading chromium                                                                                       [--------------------------------------------------------------------] 100%
New optional dependencies for chromium
    kwallet: for storing passwords in KWallet on KDE desktops
    org.freedesktop.secrets: password storage backend on GNOME / Xfce [installed]
( 49/188) upgrading ckbcomp                                                                                        [--------------------------------------------------------------------] 100%
( 50/188) upgrading libevent                                                                                       [--------------------------------------------------------------------] 100%
New optional dependencies for libevent
    python: to use event_rpcgen.py [installed]
( 51/188) upgrading electron6                                                                                      [--------------------------------------------------------------------] 100%
( 52/188) upgrading libsecret                                                                                      [--------------------------------------------------------------------] 100%
New optional dependencies for libsecret
    org.freedesktop.secrets: secret storage backend [installed]
( 53/188) upgrading code                                                                                           [--------------------------------------------------------------------] 100%
( 54/188) upgrading imagemagick                                                                                    [--------------------------------------------------------------------] 100%
( 55/188) upgrading cups-filters                                                                                   [--------------------------------------------------------------------] 100%
( 56/188) upgrading cups                                                                                           [--------------------------------------------------------------------] 100%
( 57/188) upgrading dhcpcd                                                                                         [--------------------------------------------------------------------] 100%
( 58/188) upgrading exo                                                                                            [--------------------------------------------------------------------] 100%
( 59/188) upgrading python                                                                                         [--------------------------------------------------------------------] 100%
( 60/188) upgrading xdg-desktop-portal-gtk                                                                         [--------------------------------------------------------------------] 100%
( 61/188) upgrading fuse-common                                                                                    [--------------------------------------------------------------------] 100%
( 62/188) upgrading libmm-glib                                                                                     [--------------------------------------------------------------------] 100%
( 63/188) upgrading xdg-desktop-portal                                                                             [--------------------------------------------------------------------] 100%
( 64/188) upgrading python-pyparsing                                                                               [--------------------------------------------------------------------] 100%
( 65/188) upgrading python-setuptools                                                                              [--------------------------------------------------------------------] 100%
( 66/188) upgrading pacman-mirrors                                                                                 [--------------------------------------------------------------------] 100%
( 67/188) upgrading gnupg                                                                                          [--------------------------------------------------------------------] 100%
( 68/188) upgrading mkinitcpio-busybox                                                                             [--------------------------------------------------------------------] 100%
( 69/188) upgrading flatpak                                                                                        [--------------------------------------------------------------------] 100%
( 70/188) upgrading fuse3                                                                                          [--------------------------------------------------------------------] 100%
( 71/188) upgrading git                                                                                            [--------------------------------------------------------------------] 100%
New optional dependencies for git
    org.freedesktop.secrets: keyring credential helper [installed]
    python: git svn [installed]
( 72/188) upgrading groff                                                                                          [--------------------------------------------------------------------] 100%
New optional dependencies for groff
    perl-file-homedir: for use with glilypond
( 73/188) upgrading gssproxy                                                                                       [--------------------------------------------------------------------] 100%
( 74/188) upgrading hexchat                                                                                        [--------------------------------------------------------------------] 100%
( 75/188) upgrading hwinfo                                                                                         [--------------------------------------------------------------------] 100%
( 76/188) upgrading imlib2                                                                                         [--------------------------------------------------------------------] 100%
( 77/188) upgrading intel-tbb                                                                                      [--------------------------------------------------------------------] 100%
( 78/188) upgrading intel-ucode                                                                                    [--------------------------------------------------------------------] 100%
( 79/188) installing md4c                                                                                          [--------------------------------------------------------------------] 100%
( 80/188) upgrading libevdev                                                                                       [--------------------------------------------------------------------] 100%
( 81/188) upgrading libwacom                                                                                       [--------------------------------------------------------------------] 100%
( 82/188) upgrading qt5-base                                                                                       [--------------------------------------------------------------------] 100%
New optional dependencies for qt5-base
    qt5-wayland: to run Qt applications in a Wayland session
( 83/188) upgrading kcoreaddons                                                                                    [--------------------------------------------------------------------] 100%
( 84/188) upgrading kauth                                                                                          [--------------------------------------------------------------------] 100%
( 85/188) upgrading kitemmodels                                                                                    [--------------------------------------------------------------------] 100%
New optional dependencies for kitemmodels
    qt5-declarative: QML bindings
( 86/188) upgrading qt5-svg                                                                                        [--------------------------------------------------------------------] 100%
( 87/188) upgrading qt5-x11extras                                                                                  [--------------------------------------------------------------------] 100%
( 88/188) upgrading kwindowsystem                                                                                  [--------------------------------------------------------------------] 100%
( 89/188) upgrading kvantum-qt5                                                                                    [--------------------------------------------------------------------] 100%
( 90/188) upgrading lib32-fribidi                                                                                  [--------------------------------------------------------------------] 100%
( 91/188) upgrading lib32-glib2                                                                                    [--------------------------------------------------------------------] 100%
( 92/188) upgrading lib32-libtasn1                                                                                 [--------------------------------------------------------------------] 100%
( 93/188) upgrading lib32-glib-networking                                                                          [--------------------------------------------------------------------] 100%
( 94/188) upgrading lib32-libglvnd                                                                                 [--------------------------------------------------------------------] 100%
( 95/188) upgrading lib32-mesa                                                                                     [--------------------------------------------------------------------] 100%
( 96/188) upgrading lib32-libcups                                                                                  [--------------------------------------------------------------------] 100%
( 97/188) upgrading lib32-libxi                                                                                    [--------------------------------------------------------------------] 100%
( 98/188) upgrading lib32-sqlite                                                                                   [--------------------------------------------------------------------] 100%
( 99/188) upgrading lib32-libsoup                                                                                  [--------------------------------------------------------------------] 100%
(100/188) upgrading lib32-gtk3                                                                                     [--------------------------------------------------------------------] 100%
(101/188) upgrading lib32-libva-mesa-driver                                                                        [--------------------------------------------------------------------] 100%
(102/188) upgrading lib32-mesa-vdpau                                                                               [--------------------------------------------------------------------] 100%
(103/188) upgrading lib32-vulkan-intel                                                                             [--------------------------------------------------------------------] 100%
(104/188) upgrading lib32-vulkan-radeon                                                                            [--------------------------------------------------------------------] 100%
(105/188) upgrading libde265                                                                                       [--------------------------------------------------------------------] 100%
(106/188) installing xorgproto-transfer                                                                            [--------------------------------------------------------------------] 100%
(107/188) upgrading libebml                                                                                        [--------------------------------------------------------------------] 100%
(108/188) upgrading protobuf-c                                                                                     [--------------------------------------------------------------------] 100%
(109/188) upgrading libgadu                                                                                        [--------------------------------------------------------------------] 100%
(110/188) upgrading libheif                                                                                        [--------------------------------------------------------------------] 100%
(111/188) upgrading libinput-gestures                                                                              [--------------------------------------------------------------------] 100%
=== UPGRADE NOTES for libinput-gestures ===
A user should restart libinput-gestures, i.e. run:
   libinput-gestures-setup restart


(112/188) upgrading libmbim                                                                                        [--------------------------------------------------------------------] 100%
(113/188) upgrading libnm                                                                                          [--------------------------------------------------------------------] 100%
(114/188) upgrading libqmi                                                                                         [--------------------------------------------------------------------] 100%
(115/188) upgrading libva-intel-driver                                                                             [--------------------------------------------------------------------] 100%
(116/188) upgrading libva-mesa-driver                                                                              [--------------------------------------------------------------------] 100%
(117/188) upgrading libxfont2                                                                                      [--------------------------------------------------------------------] 100%
(118/188) upgrading libxpm                                                                                         [--------------------------------------------------------------------] 100%
(119/188) upgrading libxpresent                                                                                    [--------------------------------------------------------------------] 100%
(120/188) upgrading libxxf86dga                                                                                    [--------------------------------------------------------------------] 100%
(121/188) upgrading libxxf86misc                                                                                   [--------------------------------------------------------------------] 100%
(122/188) upgrading light-locker                                                                                   [--------------------------------------------------------------------] 100%
(123/188) upgrading lightdm-gtk-greeter                                                                            [--------------------------------------------------------------------] 100%
(124/188) upgrading linux-firmware                                                                                 [--------------------------------------------------------------------] 100%
(125/188) upgrading linux419                                                                                       [--------------------------------------------------------------------] 100%
(126/188) upgrading linux419-headers                                                                               [--------------------------------------------------------------------] 100%
(127/188) upgrading lvm2                                                                                           [--------------------------------------------------------------------] 100%
(128/188) upgrading manjaro-hello                                                                                  [--------------------------------------------------------------------] 100%
(129/188) upgrading manjaro-release                                                                                [--------------------------------------------------------------------] 100%
(130/188) upgrading mesa-vdpau                                                                                     [--------------------------------------------------------------------] 100%
(131/188) upgrading metis                                                                                          [--------------------------------------------------------------------] 100%
(132/188) upgrading mhwd-nvidia-340xx                                                                              [--------------------------------------------------------------------] 100%
(133/188) upgrading mhwd-nvidia-440xx                                                                              [--------------------------------------------------------------------] 100%
(134/188) upgrading mkinitcpio-openswap                                                                            [--------------------------------------------------------------------] 100%
(135/188) upgrading modemmanager                                                                                   [--------------------------------------------------------------------] 100%
(136/188) upgrading nano                                                                                           [--------------------------------------------------------------------] 100%
(137/188) upgrading wpa_supplicant                                                                                 [--------------------------------------------------------------------] 100%
(138/188) upgrading networkmanager                                                                                 [--------------------------------------------------------------------] 100%
(139/188) upgrading nodejs                                                                                         [--------------------------------------------------------------------] 100%
(140/188) upgrading npm                                                                                            [--------------------------------------------------------------------] 100%
(141/188) upgrading nss-mdns                                                                                       [--------------------------------------------------------------------] 100%
(142/188) upgrading pamac-common                                                                                   [--------------------------------------------------------------------] 100%
(143/188) upgrading pamac-cli                                                                                      [--------------------------------------------------------------------] 100%
(144/188) upgrading pamac-gtk                                                                                      [--------------------------------------------------------------------] 100%
(145/188) installing perl-encode-locale                                                                            [--------------------------------------------------------------------] 100%
(146/188) installing perl-http-date                                                                                [--------------------------------------------------------------------] 100%
(147/188) installing perl-file-listing                                                                             [--------------------------------------------------------------------] 100%
(148/188) installing perl-html-tagset                                                                              [--------------------------------------------------------------------] 100%
(149/188) installing perl-html-parser                                                                              [--------------------------------------------------------------------] 100%
(150/188) installing perl-lwp-mediatypes                                                                           [--------------------------------------------------------------------] 100%
(151/188) installing perl-io-html                                                                                  [--------------------------------------------------------------------] 100%
(152/188) installing perl-http-message                                                                             [--------------------------------------------------------------------] 100%
(153/188) installing perl-http-cookies                                                                             [--------------------------------------------------------------------] 100%
(154/188) installing perl-http-daemon                                                                              [--------------------------------------------------------------------] 100%
(155/188) installing perl-http-negotiate                                                                           [--------------------------------------------------------------------] 100%
(156/188) installing perl-net-http                                                                                 [--------------------------------------------------------------------] 100%
(157/188) installing perl-try-tiny                                                                                 [--------------------------------------------------------------------] 100%
(158/188) installing perl-www-robotrules                                                                           [--------------------------------------------------------------------] 100%
(159/188) installing perl-libwww                                                                                   [--------------------------------------------------------------------] 100%
Optional dependencies for perl-libwww
    perl-lwp-protocol-https: for https:// url schemes
(160/188) upgrading perl-xml-parser                                                                                [--------------------------------------------------------------------] 100%
(161/188) upgrading python-colorama                                                                                [--------------------------------------------------------------------] 100%
(162/188) upgrading python-more-itertools                                                                          [--------------------------------------------------------------------] 100%
(163/188) upgrading python-pycurl                                                                                  [--------------------------------------------------------------------] 100%
(164/188) upgrading python-pyqt5                                                                                   [--------------------------------------------------------------------] 100%
(165/188) upgrading python2-colorama                                                                               [--------------------------------------------------------------------] 100%
(166/188) upgrading python2-pathlib2                                                                               [--------------------------------------------------------------------] 100%
(167/188) upgrading python2-pyparsing                                                                              [--------------------------------------------------------------------] 100%
(168/188) upgrading python2-setuptools                                                                             [--------------------------------------------------------------------] 100%
(169/188) upgrading qt5-imageformats                                                                               [--------------------------------------------------------------------] 100%
(170/188) upgrading qt5-styleplugins                                                                               [--------------------------------------------------------------------] 100%
(171/188) upgrading qt5ct                                                                                          [--------------------------------------------------------------------] 100%
(172/188) upgrading s-nail                                                                                         [--------------------------------------------------------------------] 100%
(173/188) upgrading spectre-meltdown-checker                                                                       [--------------------------------------------------------------------] 100%
(174/188) upgrading talloc                                                                                         [--------------------------------------------------------------------] 100%
(175/188) upgrading telegram-desktop                                                                               [--------------------------------------------------------------------] 100%
(176/188) upgrading tumbler                                                                                        [--------------------------------------------------------------------] 100%
(177/188) upgrading xfsprogs                                                                                       [--------------------------------------------------------------------] 100%
(178/188) upgrading udiskie                                                                                        [--------------------------------------------------------------------] 100%
New optional dependencies for udiskie
    libappindicator-gtk3: --appindicator support
(179/188) upgrading unrar                                                                                          [--------------------------------------------------------------------] 100%
(180/188) upgrading usbmuxd                                                                                        [--------------------------------------------------------------------] 100%
(181/188) upgrading vlc                                                                                            [--------------------------------------------------------------------] 100%
(182/188) upgrading vulkan-intel                                                                                   [--------------------------------------------------------------------] 100%
(183/188) upgrading vulkan-radeon                                                                                  [--------------------------------------------------------------------] 100%
(184/188) upgrading xf86-video-intel                                                                               [--------------------------------------------------------------------] 100%
(185/188) upgrading xfce4-terminal                                                                                 [--------------------------------------------------------------------] 100%
(186/188) upgrading xorg-server-common                                                                             [--------------------------------------------------------------------] 100%
(187/188) upgrading xorg-server                                                                                    [--------------------------------------------------------------------] 100%
(188/188) upgrading xorg-xdpyinfo                                                                                  [--------------------------------------------------------------------] 100%
:: Running post-transaction hooks...
( 1/25) Creating system user accounts...
( 2/25) Reloading system manager configuration...
( 3/25) Creating temporary files...
( 4/25) Reloading device manager configuration...
( 5/25) Arming ConditionNeedsUpdate...
( 6/25) Updating module dependencies...
( 7/25) Install DKMS modules
==> dkms install evdi/1.6.4 -k 4.19.91-1-MANJARO
Error! Bad return status for module build on kernel: 4.19.91-1-MANJARO (x86_64)
Consult /var/lib/dkms/evdi/1.6.4/build/make.log for more information.
( 8/25) Updating linux initcpios...
==> Building image from preset: /etc/mkinitcpio.d/linux419.preset: 'default'
  -> -k /boot/vmlinuz-4.19-x86_64 -c /etc/mkinitcpio.conf -g /boot/initramfs-4.19-x86_64.img
==> Starting build: 4.19.91-1-MANJARO
  -> Running build hook: [base]
  -> Running build hook: [udev]
  -> Running build hook: [autodetect]
  -> Running build hook: [modconf]
  -> Running build hook: [block]
  -> Running build hook: [keyboard]
  -> Running build hook: [keymap]
  -> Running build hook: [resume]
  -> Running build hook: [filesystems]
==> Generating module dependencies
==> Creating gzip-compressed initcpio image: /boot/initramfs-4.19-x86_64.img
==> Image generation successful
==> Building image from preset: /etc/mkinitcpio.d/linux419.preset: 'fallback'
  -> -k /boot/vmlinuz-4.19-x86_64 -c /etc/mkinitcpio.conf -g /boot/initramfs-4.19-x86_64-fallback.img -S autodetect
==> Starting build: 4.19.91-1-MANJARO
  -> Running build hook: [base]
  -> Running build hook: [udev]
  -> Running build hook: [modconf]
  -> Running build hook: [block]
  -> Running build hook: [keyboard]
  -> Running build hook: [keymap]
  -> Running build hook: [resume]
  -> Running build hook: [filesystems]
==> Generating module dependencies
==> Creating gzip-compressed initcpio image: /boot/initramfs-4.19-x86_64-fallback.img
==> Image generation successful
( 9/25) Updating Grub-Bootmenu
Generating grub configuration file ...
Found theme: /usr/share/grub/themes/manjaro/theme.txt
Found linux image: /boot/vmlinuz-4.19-x86_64
Found initrd image: /boot/intel-ucode.img /boot/initramfs-4.19-x86_64.img
Found initrd fallback image: /boot/initramfs-4.19-x86_64-fallback.img
Found memtest86+ image: /boot/memtest86+/memtest.bin
/usr/bin/grub-probe: warning: unknown device type nvme0n1.
done
(10/25) Reloading system bus configuration...
(11/25) Warn about old perl modules
(12/25) Updating fontconfig cache...
(13/25) Updating 32-bit fontconfig cache...
(14/25) Probing GDK-Pixbuf loader modules...
(15/25) Updating GIO module cache...
(16/25) Updating 32-bit GIO module cache...
(17/25) Compiling GSettings XML schema files...
(18/25) Probing 32-bit GTK3 input method modules...
(19/25) Updating icon theme caches...
(20/25) Configuring pacman-mirrors ...
::INFO Downloading mirrors from repo.manjaro.org
hint: use `pacman-mirrors` to generate and update your pacman mirrorlist.
(21/25) Updating the info directory file...
(22/25) Updating the desktop file MIME type cache...
(23/25) Updating the MIME type database...
(24/25) Updating the vlc plugin cache...
(25/25) Updating X fontdir indices...

$ libinput-gestures-setup restart
libinput-debug-events stopped.
libinput-gestures stopped.
libinput-gestures started.

I also ran libinput-gestures-setup restart.

I note the following and would like your comments or advice if possible:

  • should I worry about the warnings?
  • and what about this?
( 7/25) Install DKMS modules
==> dkms install evdi/1.6.4 -k 4.19.91-1-MANJARO
Error! Bad return status for module build on kernel: 4.19.91-1-MANJARO (x86_64)
Consult /var/lib/dkms/evdi/1.6.4/build/make.log for more information.

I can paste the make.log here but it's long, and I don't know what I'm looking for in there.

I still have to reboot since the update, but it seems this may have worked, and so @linux-aarhus and @Marte were both correct and I thank you both:

  1. Delete non-onwed files rather than use the --overwrite flag
  2. Delete AUR packages (system76 only in this case)

Ok, I'll reboot now and report back and of course am still open to any suggestions.
If this works I won't go down the ISO route this time.

I have learned at least two lessons:

  • I'd never used Timeshift to restore my system, now I know how.
  • distro-hopping was a bad idea of mine anyway, eventually I'm going to break my system anyway, so I must learn how to fix it, and without the community here, I would not have been able to.
4 Likes

After reboot, all seems to be working fine.

1 Like

Most users have no issues with Manjaro or Arch. It only gets tricky when stuff from outside is added, rather by a package manager. npm for java is such a tool and packages from the AUR. Regarding your system76 packages, we might add them in a near future as we already do with tuxedo packages.

Using flatpaks, appimages or snaps is another way to get software into Manjaro. We have partnerships with upstream and they test Manjaro to work with their new way of software distribution. Everything else added additionally makes the system sometimes unstable.

Listen to some tips Chris has to say and if you have issues, please open a thread and wait for suggestions from our great community. As without the community around Manjaro we won't be so popular!

2 Likes

I just watched that video and will be sure to follow his advice.

Eine Lösung wurde gefunden, genau wie Sie gesagt hatten, Herzlichen Dank und alles bestens für 2020!

A solution was found, exactly like you said, many thanks!

1 Like

xf86-input-keyboard and xf86-input-mouse are no AUR packages, they got removed from repositories (recently). On my installations I removed them.

Either reinstall evdi from AUR and see if this fixes it or remove the package entirely if you don't use it. As of now it doesn't get built for kernel 4.19 so it won't be available when booting this kernel.

oh I wasn't referring to those, but to system76-dkms.

oh ok, thank you for that info, didn't know, I guess I can remove them too then?

evdi: I use multiple displays in my job all the time, so I assume I need this as pacman -Qi evdi shows me:

Name            : evdi
Version         : 1.6.4-2
Description     : A Linux® kernel module that enables management of multiple screens.
Architecture    : x86_64
URL             : https://github.com/DisplayLink/evdi
Licenses        : GPL
Groups          : None
Provides        : None
Depends On      : dkms  libdrm
Optional Deps   : None
Required By     : displaylink
Optional For    : None
Conflicts With  : None
Replaces        : None
Installed Size  : 145.24 KiB
Packager        : Unknown Packager
Build Date      : Wed 11 Dec 2019 01:28:35 PM CET
Install Date    : Wed 11 Dec 2019 01:28:45 PM CET
Install Reason  : Explicitly installed
Install Script  : Yes
Validated By    : None

So I'll follow your advice and reinstall to see if that fixes.

Thanks for your comments :+1:

so just so I'm not a DenverCoder9, I just want to say that I removed:
xf86-input-keyboard and xf86-input-mouse.

I tried to update evdi with yay -Syyu evdi but hit the same error as before.

However after removing orphans with sudo pacman -Rns $(pacman Qtdq) and running sudo pacman -Syyu again, all is fine. I've checked and I can still connect a second monitor via HDMI and mini-DP, so all is working fine.

Well, this was long, and the problems were essentially my own fault.

So thanks for all your collective help and patience. And onto the next udpate :rocket:

1 Like

Please post this log file to pastebin and link it here so we may find a solution for that issue.

2 Likes

ok thank you, here it is: pastebin.

I've no idea what to look for in there so anything you can tell me will be a great learning experience.

Forum kindly sponsored by